Users
Copy Page
Adafruit IO REST API
Users
Get information about the current user
GET
Get information about the current user
GET
Get the user's data rate limit and current activity level.
GET
Get the user's data rate limit and current activity level.
GET
Webhooks
Send data to a feed via webhook URL.
POST
Send data to a feed via webhook URL.
POST
Send arbitrary data to a feed via webhook URL.
POST
Send arbitrary data to a feed via webhook URL.
POST
Activities
All activities for current user
DELETE
All activities for current user
DELETE
All activities for current user
GET
All activities for current user
GET
Get activities by type for current user
GET
Get activities by type for current user
GET
Dashboards
All dashboards for current user
GET
All dashboards for current user
GET
Create a new Dashboard
POST
Create a new Dashboard
POST
Delete an existing Dashboard
DELETE
Delete an existing Dashboard
DELETE
Returns Dashboard based on ID
GET
Returns Dashboard based on ID
GET
Update properties of an existing Dashboard
PATCH
Update properties of an existing Dashboard
PATCH
Replace an existing Dashboard
PUT
Replace an existing Dashboard
PUT
Blocks
All blocks for current user
All blocks for current user
Create a new Block
Create a new Block
Delete an existing Block
Delete an existing Block
Returns Block based on ID
Returns Block based on ID
Update properties of an existing Block
Update properties of an existing Block
Replace an existing Block
Replace an existing Block
Feeds
All feeds for current user
All feeds for current user
Create a new Feed
Create a new Feed
Delete an existing Feed
Delete an existing Feed
Get feed by feed key
Get feed by feed key
Update properties of an existing Feed
Update properties of an existing Feed
Replace an existing Feed
Replace an existing Feed
Get detailed feed by feed key
Get detailed feed by feed key
Create a new Feed in a Group
Create a new Feed in a Group
Data
Get all data for the given feed
Get all data for the given feed
Create new Data
Create new Data
Create multiple new Data records
Create multiple new Data records
Chart data for current feed
Chart data for current feed
First Data in Queue
First Data in Queue
Last Data in Queue
Last Data in Queue
Next Data in Queue
Next Data in Queue
Previous Data in Queue
Previous Data in Queue
Last Data in MQTT CSV format
Last Data in MQTT CSV format
Delete existing Data
Delete existing Data
Returns data based on feed key
Returns data based on feed key
Update properties of existing Data
Update properties of existing Data
Replace existing Data
Replace existing Data
Create new data for multiple feeds in a group
Create new data for multiple feeds in a group
All data for current feed in a specific group
All data for current feed in a specific group
Create new Data in a feed belonging to a particular group
Create new Data in a feed belonging to a particular group
Create multiple new Data records in a feed belonging to a particular group
Create multiple new Data records in a feed belonging to a particular group
Groups
All groups for current user
All groups for current user
Create a new Group
Create a new Group
Delete an existing Group
Delete an existing Group
Returns Group based on ID
Returns Group based on ID
Update properties of an existing Group
Update properties of an existing Group
Replace an existing Group
Replace an existing Group
Add an existing Feed to a Group
Add an existing Feed to a Group
All feeds for current user in a given group
All feeds for current user in a given group
Remove a Feed from a Group
Remove a Feed from a Group
Tokens
All tokens for current user
All tokens for current user
Create a new Token
Create a new Token
Delete an existing Token
Delete an existing Token
Returns Token based on ID
Returns Token based on ID
Update properties of an existing Token
Update properties of an existing Token
Replace an existing Token
Replace an existing Token
Triggers
All triggers for current user
All triggers for current user
Create a new Trigger
Create a new Trigger
Delete an existing Trigger
Delete an existing Trigger
Returns Trigger based on ID
Returns Trigger based on ID
Update properties of an existing Trigger
Update properties of an existing Trigger
Replace an existing Trigger
Replace an existing Trigger
Permissions
All permissions for current user and type
All permissions for current user and type
Create a new Permission
Create a new Permission
Delete an existing Permission
Delete an existing Permission
Returns Permission based on ID
Returns Permission based on ID
Update properties of an existing Permission
Update properties of an existing Permission
Replace an existing Permission
Replace an existing Permission
Schemas
Schemas
Activity
Block
BlockFeed
Dashboard
Data
DataResponse
Error
Feed
Group
Permission
ShallowGroup
Token
Trigger
User
RequestBodies
createTriggerTrigger
batchCreateDataData
createPermissionPermission
createFeedFeed
createDashboardDashboard
createBlockBlock
createDataDatum
createGroupGroup
createTokenToken
Users
MCP
Copy Page
Get the user's data rate limit and current activity level.
GET
/{username}/throttle
Try it
Run in Apidog
Run in Apidog
Request
Path Params
Generate Code
Responses
🟢
200
Data rate limit and current actions.
application/json
Generate Code
Body
Generate Code
ðŸŸ
401
Unauthorized
ðŸŸ
403
Forbidden
ðŸŸ
404
Not Found
🔴
500
Server Error
Request
Request Example
Shell
JavaScript
Java
Swift
cURL
cURL-Windows
Httpie
wget
PowerShell
curl
--location
--request
GET
'//throttle'
Response
Response Example
200 -
Example 1
{
"active_data_rate"
:
0
,
"data_rate_limit"
:
0
}
Modified atÂ
2023-08-15 09:08:59
Previous
Get the user's data rate limit and current activity level.
Next
Send data to a feed via webhook URL.